[tool.poetry]
name = "hik-push"
version = "0.3.1"
description = ""
authors = ["quantulr <35954003+quantulr@users.noreply.github.com>"]
readme = "README.md"

[tool.poetry.dependencies]
python = ">=3.11"
fastapi = { extras = ["all"], version = "^0.109.0" }
redis = "^5.0.1"
requests = "^2.31.0"
pyyaml = "^6.0.1"


[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"


[tool.poetry.scripts]
hik-sub = 'hik_push.main:run_app'
hik-push = 'hik_push.read_event:run_app'
